<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

<!--
   +==========================================================================+
   | Copyright 2002, 2003 Rational Software Corporation.  All Rights Reserved.|
   | This software contains proprietary and confidential information of       |
   | Rational and its suppliers.  Use, disclosure or reproduction is          |
   | prohibited without the prior express written consent of Rational.        |
   +==========================================================================+
-->

<!-- ********************************************************************
     Id: ccexpl_infopane.xsl

     Together with ccexpl_infopane.htm, this style sheet provides and 
     formats content for the Rational ClearCase Explorer's Information Pane.

     Copyright 2002 Rational Software Corporation.  All Rights Reserved.
     ******************************************************************** -->


<xsl:template match="/">

<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
     Detect multiple or no selection.
     +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<xsl:for-each select="items">

  <xsl:choose> 

    <xsl:when test="item/@type[.='nothing']">

      <DIV CLASS="divindent">

      <xsl:choose>

        <xsl:when test="item/ucm[.='1']"> <!-- UCM views -->

          <xsl:choose>                

            <xsl:when test="item/integration[.='1']"> <!-- UCM integration views -->

                <xsl:choose>                

                    <xsl:when test="item/snapshot[.='1']">


<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
     UCM Snapshot Integration View - static page
     +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->


<P STYLE="font-size: 10pt; font-weight: bold; color: #000080">UCM のスナップショット インテグレーション ビュー</P>

<P> これは、<xsl:value-of select="item/projectname"/> プロジェクトのインテグレーション ストリームにアタッチされるビューです。 インテグレーション ストリームは、プロジェクトのビルドとテストに使用される共有バージョンを識別します。 共有バージョンは、すべてのプロジェクトの開発ビューからデリバーされます。 </P>

<P>開発者は、インテグレーション ビューを使用して、他のチーム メンバーがデリバーした作業を確認します。また、<a href="../../../doc/help/cc_main/wflow_deliver_activity.htm" target="_blank">デリバー操作</a>中に自分の作業をテストします。 </P>

<P>プロジェクト マネージャーは、インテグレーション ビューを使用して次のことを行います。</P>

<UL>

<LI><P>開発の進行に伴い、<a href="../../../doc/help/cc_main/wflow_make_bl.htm" target="_blank">新しいベースラインを作成します</a>。 これにより、開発者は新しいベースラインにリベースして、プロジェクトの変化に対応できます。</P></LI>

<LI><P><a href="../../../doc/help/cc_main/wflow_promote_bl.htm" target="_blank">ベースラインをプロモートまたはデモートします</a>。 プロモーション レベルによって、すべての開発者にベースラインの品質と安定性を示します。</P></LI>

<LI><P>開発者のデリバー操作の完了に必要な<a href="../../../doc/help/cc_main/wflow_integrate_work.htm" target="_blank">サポートを提供します</a>。</P></LI>

</UL>

<P>一連のソース ファイルを自分のビューにコピーするには、[<STRONG>更新</STRONG>] コマンドを使用します。　</P>

<P><STRONG>メモ:  </STRONG>スナップショット ビューは自動更新されません。 ストリームに対する変更を確認するには、ClearCase エクスプローラの [<STRONG>環境</STRONG>] メニューから [<STRONG>ビューの更新</STRONG>] をクリックして、定期的にビューを更新する必要があります。</P>

                    
                    </xsl:when>

                    <xsl:otherwise>

<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
     UCM Dynamic Integration View - static page
     +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->


<P STYLE="font-size: 10pt; font-weight: bold; color: #000080">UCM の動的インテグレーション ビュー</P>

<P> これは、<xsl:value-of select="item/projectname"/> プロジェクト用のインテグレーション ビューです。</P>

<P>インテグレーション ストリームは、プロジェクト全体またはプロジェクトの主な機能のビルドとテストに使用される共有バージョンを識別します。 共有バージョンは、プロジェクトの階層で下位にある、インテグレーション ストリームの子ストリームまたは開発ストリームの子ストリームからデリバーされます。 </P>

<P>開発者は、インテグレーション ビューを使用して、他のチーム メンバーがデリバーした作業を確認します。また、<a href="../../../doc/help/cc_main/wflow_deliver_activity.htm" target="_blank">デリバー操作</a>中に自分の作業をテストします。</P>

<P>プロジェクト マネージャーは、インテグレーション ビューを使用して次のことを行います。</P>

<UL>

<LI><P>開発の進行に伴い、<a href="../../../doc/help/cc_main/wflow_make_bl.htm" target="_blank">新しいベースラインを作成します</a>。 これにより、開発者は新しいベースラインにリベースして、プロジェクトの変化に対応できます。</P></LI>

<LI><P><a href="../../../doc/help/cc_main/wflow_promote_bl.htm" target="_blank">ベースラインをプロモートまたはデモートします</a>。 プロモーション レベルによって、すべての開発者にベースラインの品質と安定性を示します。</P></LI>

<LI><P>開発者のデリバー操作の完了に必要な<a href="../../../doc/help/cc_main/wflow_integrate_work.htm" target="_blank">サポートを提供します</a>。</P></LI>

</UL>

<P><STRONG>メモ:  </STRONG>新バージョンのチェックインなど、VOB に変更があった場合、ビューのコンテンツは必ず自動的に更新されます。 表示を更新してストリームに対するすべての変更を含むようにするには、ClearCase エクスプローラ の [<STRONG>表示</STRONG>] メニューから [<STRONG>リフレッシュ</STRONG>] をクリックします。</P>


                    </xsl:otherwise>

                </xsl:choose>                

            </xsl:when>

            <xsl:otherwise>    <!-- UCM Development views -->

                <xsl:choose>                

                    <xsl:when test="item/snapshot[.='1']">


<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
     UCM Snapshot Development View - static page
     +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->


<P STYLE="font-size: 10pt; font-weight: bold; color: #000080">UCM のスナップショット開発ビュー</P>

<P>このビューは、<xsl:value-of select="item/projectname"/> プロジェクト開発ストリーム用の作業領域です。 UCM 開発ビューで、作業のフォーカスは直接ソースファイルに置かれるのではなく、アクティビティに置かれます。 </P>

<P>プロジェクトに参加すると、ビューは一連の推奨ベースラインで初期化されます。 このベースラインは、1 つ以上のプロジェクト コンポーネントを開発するために必要なアクティビティを識別します。 また、このベースラインはそれらのコンポーネントに対して安定していると判断される一連のエレメント バージョンを識別します。</P>

<P>定期的に、開発ストリームを親ストリームにある最新の推奨ベースラインに<a href="../../../doc/help/cc_main/wflow_rebase_area.htm" target="_blank">リベース</a>してください。 リベース操作を行うと、開発ストリームは一連の基本ベースラインの更新によって再構成されます。</P>

<P>このビューで使用可能なアクティビティを表示するには、フォルダ ペインで [<STRONG>アクティビティ</STRONG>] をクリックします。 次に、アクティビティの横にあるチェックボックスを選択してビューのアクティビティを設定します。 これにより、ビューの ClearCase エレメントで実行する作業は、すべてプロジェクトの開発ストリームのアクティビティに関連付けられます。</P>

<P>一連のソース ファイルを自分のビューにコピーするには、[<STRONG>更新</STRONG>] コマンドを使用します。　</P>

<P><STRONG>メモ:  </STRONG>スナップショット ビューは自動更新されません。 ストリームに対する変更を確認するには、ClearCase エクスプローラの [<STRONG>環境</STRONG>] メニューから [<STRONG>ビューの更新</STRONG>] をクリックして、定期的にビューを更新する必要があります。</P>


                    </xsl:when>

                    <xsl:otherwise>

<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
     UCM Dynamic Development View - static page
     +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<P STYLE="font-size: 10pt; font-weight: bold; color: #000080">UCM の動的開発ビュー</P>

<P>このビューは、<xsl:value-of select="item/projectname"/> プロジェクト開発ストリーム用の作業領域です。 UCM ビューでは、作業は必ずアクティビティと関連付けられています。 アクティビティは、開発タスクを完了するために作成したバージョンを識別する ClearCase オブジェクトです。 組織はアクティビティで実行されるタスクを定義します。</P>

<P>このビューで使用可能なアクティビティを表示するには、フォルダ ペインで [<STRONG>アクティビティ</STRONG>] をクリックします。 次に、アクティビティの横にあるチェックボックスを選択してビューのアクティビティを設定します。 これにより、ビューの ClearCase エレメントで実行する作業は、すべてプロジェクトの開発ストリームのアクティビティに関連付けられます。</P>

<P>定期的に、ビューを最新のベースラインに<a href="../../../doc/help/cc_main/wflow_rebase_area.htm" target="_blank">リベース</a>してください。 リベースによって、ビューは全体で共有するために統合、テスト、承認されたバージョンに更新されます。</P>

<P>完了したアクティビティをプロジェクトのインテグレーション ストリームにデリバーすると、自分の作業がプロジェクトのほかのメンバーからも使用可能になります。</P>

<P><STRONG>メモ:  </STRONG>新バージョンのチェックインなど、VOB に変更があった場合、ビューのコンテンツは必ず自動的に更新されます。 表示を更新してストリームに対するすべての変更を確認するには、ClearCase エクスプローラ の [<STRONG>表示</STRONG>] メニューから [<STRONG>リフレッシュ</STRONG>] をクリックします。</P>


                    </xsl:otherwise>

                </xsl:choose>                

            </xsl:otherwise>

          </xsl:choose>                

        </xsl:when>

        <xsl:otherwise>     <!-- Non-UCM views -->

          <xsl:choose>                

            <xsl:when test="item/snapshot[.='1']"> <!-- Non-UCM Snapshot -->

<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
     Non-UCM Snapshot View - static page
     +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->


<P STYLE="font-size: 10pt; font-weight: bold; color: #000080">スナップショット ビュー</P>

<P>プロジェクトのソース ファイルは、VOB (バージョン付きオブジェクト ベース) と呼ばれる 1 つ以上の ClearCase データ リポジトリに保存されます。 このビューによって、それらのファイルにアクセスできます。</P>

<P>ファイルをチェックアウト、変更、再びチェックインするたびに、ClearCase が変更を記録する新バージョンを作成します。 バージョン管理は、チームが変更を管理し、ソースへのアクセスを調整できるようにするための機能の 1 つです。</P>

<P>ビューには、ClearCase エレメントのほかにビュープライベート オブジェクトを含めることができます。これは、ClearCase VOB に保存されない通常の作業ファイルとフォルダです。 ビュープライベート ファイルまたはフォルダをビューに含めるには、それらを Windows エクスプローラから目的のビューにドラッグします。</P>

<P>ClearCase エクスプローラ ショートカット ペイン、ツールバー、メニューによって、ビューで実行できるすべての ClearCase 操作にアクセスできます。 これ以外にも、多くの操作を Windows の標準機能を使用して実行することができます。 たとえば、HTML エレメントをダブルクリックすると Web ブラウザで文書を表示するなど、関連付けられた操作が実行されます。</P>

<P>一連のソース ファイルを自分のビューにコピーするには、[<STRONG>更新</STRONG>] コマンドを使用します。　</P>

<P><STRONG>メモ:  </STRONG>スナップショット ビューは自動更新されません。 VOB での変更を確認するには、ClearCase エクスプローラの[<STRONG>環境</STRONG>] メニューから [<STRONG>ビューの更新</STRONG>] をクリックして、定期的にビューを更新する必要があります。</P>


                        </xsl:when>
                        <xsl:otherwise> <!-- Non-UCM Dynamic -->

<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
     Non-UCM Dynamic View - static page
     +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->


<P STYLE="font-size: 10pt; font-weight: bold; color: #000080">動的ビュー</P>

<P>プロジェクトのソース ファイルは、VOB (バージョン付きオブジェクト ベース) と呼ばれる 1 つ以上の ClearCase データ リポジトリに保存されます。 このビューによって、それらのソース ファイルにアクセスできます。</P>

<P>ファイルをチェックアウト、変更、再びチェックインするたびに、ClearCase が変更を記録する新バージョンを作成します。 バージョン管理は、チームが変更を管理し、ソースへのアクセスを調整できるようにするための機能の 1 つです。</P>

<P>ビューには、ClearCase エレメントのほかにビュープライベート オブジェクトを含めることができます。これは、ClearCase VOB に保存されない通常の作業ファイルとフォルダです。 ビュープライベート ファイルまたはフォルダをビューに含めるには、それらを Windows エクスプローラから目的のビューにドラッグします。 </P>

<P>ClearCase エクスプローラ ショートカット ペイン、ツールバー、メニューによって、ビューで実行できるすべての ClearCase 操作にアクセスできます。 これ以外にも、多くの操作を Windows の標準機能を使用して実行することができます。 たとえば、HTML エレメントをダブルクリックすると Web ブラウザで文書を表示するなど、関連付けられた操作が実行されます。</P>

<P><STRONG>メモ:  </STRONG>これは動的ビューであるため、新しいエレメントやバージョンの作成など、VOB に変更があった場合、ビューのコンテンツは必ず自動的に更新されます。 表示を更新して VOB に対するすべての変更を確認するには、ClearCase エクスプローラの [<STRONG>表示</STRONG>] メニューから [<STRONG>リフレッシュ</STRONG>] をクリックします。</P>

                        </xsl:otherwise>
 
                    </xsl:choose>                

                </xsl:otherwise>

            </xsl:choose>

        </DIV>

        </xsl:when>

        <xsl:otherwise> <!-- Handle multiple selections -->

            <xsl:apply-templates select="."/>

        </xsl:otherwise>

    </xsl:choose>

</xsl:for-each>

</xsl:template>


<xsl:template match="items"> <!-- Process a single selection -->


<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
     Wrapper table containing title, navigation tabs, and two nested tables
     +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

    <TABLE BORDER="0" CELLSPACING="0" CELLPADDING="0" WIDTH="100%">

        <TR>

            <TD HEIGHT="20" VALIGN="MIDDLE" BGCOLOR="#C0C0C0" STYLE="font-size: 10pt; font-weight: bold; color: #000080">

                <IMG ALIGN="ABSMIDDLE" SRC="object.gif" BORDER="0" ALT="[表示] メニューを使用して、情報ペインの表示/非表示を切り替えます。                  水平、垂直の境界線をドラッグして、サイズを変更します。"/>選択


            </TD>
 
            <TD NOWRAP="NOWRAP" VALIGN="BOTTOM" ALIGN="LEFT" STYLE="background-color: #C0C0C0">   

                <SPAN STYLE="cursor: hand" ONCLICK="change_abouttab();">

                    <IMG NAME="image1" SRC="abouttab-on.gif" ALT="選択内容についての情報" WIDTH="71" HEIGHT="12" BORDER="0" ALIGN="ABSBOTTOM"/>

                </SPAN>

                <SPAN STYLE="cursor: hand" ONCLICK="change_usestab();">

                    <IMG NAME="image2" SRC="usestab-off.gif" ALT="選択によってできること" WIDTH="71" HEIGHT="12" BORDER="0" ALIGN="ABSBOTTOM"/>

                </SPAN>

            </TD>

        </TR>


        <TR>

            <TD VALIGN="TOP" ALIGN="LEFT" WIDTH="230">


    <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
         Nested left table listing properties of selected item
         +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

    <TABLE BORDER="0" CELLSPACING="5" WIDTH="230" STYLE="border-top: none; border-right: 1px #000080 solid; border-bottom: none; border-left: none;">

        <xsl:for-each select="item">

<!-- 
            <TR>
                <SPAN TITLE="The class of ClearCase element - either file, folder, or activity">
                    <TH WIDTH="80" ALIGN="LEFT" >Element&#160;Type:</TH>
                </SPAN>                 
                <TD>
                <xsl:choose>
                    <xsl:when test="@type[.='folder']">
                        Folder
                    </xsl:when>
                    <xsl:when test="@type[.='activity']">
                        Activity
                    </xsl:when>
                    <xsl:otherwise> 
                        File
                    </xsl:otherwise>
                </xsl:choose>
                </TD>
            </TR>
-->

            <xsl:if test="name[.!='']">

            <TR>

                <SPAN TITLE="ClearCase におけるエレメント名">

                    <TH WIDTH="80" ALIGN="LEFT">名前:</TH>

                </SPAN> 

                <TD>

                    <xsl:value-of select="name"/>

                </TD>

            </TR>

            </xsl:if>


            <xsl:if test="viewtag[.!='']">

            <TR>

                <SPAN TITLE="ClearCase におけるビューの修飾名">

                    <TH WIDTH="80" ALIGN="LEFT">ビュー タグ: </TH>

                </SPAN>                 

                <TD>

                    <xsl:for-each select="viewtag">

                        <xsl:eval>break_line(this)</xsl:eval>

                    </xsl:for-each>

                </TD>

            </TR>

            </xsl:if>


            <xsl:if test="viewpath[.!='']">

            <TR>

                <SPAN TITLE="ビュー ファイルの作業が可能なフォルダ">

                    <TH WIDTH="80" ALIGN="LEFT">ビュー パス: </TH>

                </SPAN>                 

                <TD>

                    <xsl:for-each select="viewpath">

                        <xsl:eval>break_line(this)</xsl:eval>

                    </xsl:for-each>

                </TD>                

            </TR>

            </xsl:if>


<!-- Type covered in 'about' tab, omit here. -->

        <xsl:if test="ucm[.='1']">

            <TR>

                <SPAN TITLE="現在作業しているプロジェクト">

                    <TH WIDTH="80" ALIGN="LEFT">UCM プロジェクト: </TH>

                </SPAN> 
                
                <TD>

                    <xsl:value-of select="projectname"/>

                </TD>

            </TR>

        <!-- UCM integration covered in 'about' tab, omit here. -->

        </xsl:if>


<!-- Full Path not needed -->

        <xsl:if test="activityset[.!='0']">

          <TR><TD HEIGHT="15"><P>
</P></TD></TR>

        </xsl:if>


        <xsl:if test="cqonlyactivity[.!='0']">

          <TR><TD HEIGHT="15"><P>
</P></TD></TR>

        </xsl:if>


        <xsl:if test="state[.!='']">

          <TR>

            <SPAN TITLE="変わる可能性のある現在のエレメントの状態">

              <TH WIDTH="80" ALIGN="LEFT">状態: </TH>

            </SPAN>                 

            <TD>

              <xsl:value-of select="state"/>

            </TD>                

          </TR>

        </xsl:if>


        <xsl:if test="kind[.!='']">

          <TR>

            <SPAN TITLE="ClearCase オブジェクトの種類">

              <TH WIDTH="80" ALIGN="LEFT">種類: </TH>

            </SPAN> 
   
            <TD>

              <xsl:value-of select="kind"/>

            </TD>
                
          </TR>

        </xsl:if>


        <xsl:if test="modified[.!='']">

          <TR>

            <SPAN TITLE="エレメントが変更された最新の日付">

              <TH WIDTH="80" ALIGN="LEFT">変更:  </TH>

            </SPAN> 
    
            <TD>

              <xsl:value-of select="modified"/>

            </TD>                

          </TR>

        </xsl:if>


        <xsl:if test='(kind[.!="ビュープライベート ディレクトリ"])'>

            <xsl:if test='(kind[.!="ビュープライベート ファイル"])'> 

                <xsl:if test="version[.!='']">

                    <TR>

                        <SPAN TITLE="エレメントのバージョン">

                            <TH WIDTH="80" ALIGN="LEFT">バージョン:  </TH>

                        </SPAN> 
                
                        <TD>

                            <xsl:value-of select="version"/>

                        </TD>                

                    </TR>

                </xsl:if>

            </xsl:if>

        </xsl:if>

    <!--  annotations not needed here -->

        <xsl:if test='(kind[.!="ビュープライベート ディレクトリ"])'>

            <xsl:if test='(kind[.!="ビュープライベート ファイル"])'>

                <xsl:if test="rule[.!='']">

                    <TR>

                        <SPAN TITLE="このエレメントに適用される構成仕様の規則">

                            <TH WIDTH="80" ALIGN="LEFT">規則:  </TH>

                        </SPAN> 

                        <TD>

                            <xsl:value-of select="rule"/>

                        </TD>                

                    </TR>

                </xsl:if>

            </xsl:if>

        </xsl:if>

      </xsl:for-each>

   </TABLE>

 <!-- end nested left table -->

</TD>

<TD VALIGN="TOP">

    <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

    <!--     Begin nested right table describing selected item                                        -->

    <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

    <TABLE BORDER="0" CELLSPACING="5" WIDTH="100%" ALIGN="TOP">

        <TR>

            <TD>

    <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

    <!--     Content for 'about' tab                                                                    -->

    <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

                <DIV ID="elemAbout" STYLE="position:absolute, top:0; left:0">

                    <!-- element type -->

                    <xsl:choose>

                        <xsl:when test="item/@type[.='folder']">

                            <xsl:choose>

                                <xsl:when test="(item/name[.='lost+found'])">            

                                    <P><EM STYLE="font-style: normal; font-weight: bold">

                                    <xsl:value-of select="item/name"/></EM>

                                     は、ClearCase がビュー内の各 VOB の最上位に作成するフォルダです。</P>

                                    <P>ClearCase はこれを使用して、親のないエレメント (VOB のどのバージョンにもカタログされていないエレメント) を保存します。</P>

                                </xsl:when>


                                <xsl:when expr="parent_dir(this,'lost+found')">        

                                    <P>この項目は、以前バージョン管理下に置かれていた親のないフォルダです。 どの VOB にもフォルダのバージョンが存在しないため、ClearCase がここに移動しました。</P>

                                    <P>ClearCase は、一意の 16 進数による ID 番号を元のフォルダ名に追加します。</P>

                                </xsl:when>


                                <xsl:when test="(item/kind[.='ビュープライベート ディレクトリ'])">            

                                    <P><EM STYLE="font-style: normal; font-weight: bold">

                                    <xsl:value-of select="item/name"/></EM>は、ビュープライベート フォルダです。 これは、ClearCase VOB には表示されないことを意味しています。これが自分のビューの作業フォルダにあったとしても、このフォルダとすべての内容は、ファイル システム内にのみ存在します。 </P>

                                </xsl:when>

        
                                <xsl:when test="(item/kind[.='ディレクトリ バージョン'])">            

                                    <P><EM STYLE="font-style: normal; font-weight: bold">

                                    <xsl:value-of select="item/name"/></EM>はバージョン管理されているフォルダです。 属性と内容は、ClearCase の管理下にあります。 </P>

                                </xsl:when>


                                <xsl:when test="(item/kind[.='Directory Element'])">            

                                    <P><EM STYLE="font-style: normal; font-weight: bold">

                                    <xsl:value-of select="item/name"/></EM>は、ClearCase 管理下にあるフォルダです。 </P>

                                </xsl:when>


                                <xsl:when test="(item/kind[.='VOB シンボリック リンク'])">            

                                    <P><EM STYLE="font-style: normal; font-weight: bold"><xsl:value-of select="item/name"/></EM>はエレメントではなく、異なる場所からターゲット フォルダへの参照です。 </P><P>VOB シンボリック リンクは、UNIX のシンボル リンクと同様に振る舞います。 </P>

                                </xsl:when>

                                <xsl:otherwise>

                                    <P><EM STYLE="font-style: normal; font-weight: bold"><xsl:value-of select="item/name"/></EM>は、VOB (バージョン付きオブジェクト ベース) です。 これは、ClearCase 管理下で維持するファイルとディレクトリのすべてのバージョンのためのデータ リポジトリです。 </P><P>詳しくは、「<a href="../../../doc/help/cc_main/about_vob.htm" target="_blank">VOB について</a>」を参照してください。</P>

                                </xsl:otherwise>

                            </xsl:choose>

                        </xsl:when>


                        <xsl:when test="item/@type[.='activity']">

                            <P><EM STYLE="font-style: normal; font-weight: bold"><xsl:value-of select="item/name"/></EM>は、UCM アクティビティです。</P>

                            <P>アクティビティは、開発タスクのために作成する一連のバージョンを記録します。 </P>

                        </xsl:when>


                        <xsl:otherwise> <!-- default is 'file' -->

                            <xsl:choose>

                                <xsl:when expr="parent_dir(this,'lost+found')">        

                                    <P>この項目は、親のないエレメントです。 どの VOB にもエレメントのバージョンが存在しないため、ClearCase がほかのフォルダからここに移動しました。</P>

                                    <P>ClearCase は、一意の 16 進数による ID 番号を元のエレメント名に追加します。</P>

                                </xsl:when>


                                <xsl:when test="(item/kind[.='ビュープライベート ファイル'])">            

                                    <P><EM STYLE="font-style: normal; font-weight: bold"><xsl:value-of select="item/name"/></EM>は、

                                    ClearCase ソース管理下にないビュープライベート ファイルです。</P>

                                </xsl:when>

        
                                <xsl:when test="(item/kind[.='VOB シンボリック リンク'])">            

                                    <P><EM STYLE="font-style: normal; font-weight: bold"><xsl:value-of select="item/name"/></EM>は、

                                    エレメントではなく、異なる場所からターゲット ファイルへの参照です。 </P><P>VOB シンボリック リンクは、UNIX のシンボル リンクと同様に振る舞います。</P>

                                </xsl:when>


                                <xsl:when test="(item/kind[.='ファイル'])">            

                                    <P><EM STYLE="font-style: normal; font-weight: bold"><xsl:value-of select="item/name"/></EM>は、

                                    ClearCase によって作成された構成ファイルです。</P>

                                </xsl:when>


                               <xsl:when test="(item/kind[.='Derived Object Version'])">            

                                    <P><EM STYLE="font-style: normal; font-weight: bold"><xsl:value-of select="item/name"/></EM>は、

                                    clearmake、omake ビルド、clearaudit セッションによって作成されたファイルです。</P>

                               </xsl:when>


                               <xsl:when test="(item/kind[.='View Derived Object'])">            

                                    <P><EM STYLE="font-style: normal; font-weight: bold"><xsl:value-of select="item/name"/></EM>は、

                                    clearmake、omake ビルド、clearaudit セッションによって作成されたファイルです。</P>

                                </xsl:when>

                                <xsl:otherwise>

                                    <P><EM STYLE="font-style: normal; font-weight: bold"><xsl:value-of select="item/name"/></EM>は、

                                    ClearCase ソース管理下にありバージョン管理されているファイルです。</P>

                                </xsl:otherwise>

                            </xsl:choose>

                        </xsl:otherwise>

                    </xsl:choose>


                    <!-- states -->

                    <xsl:if test="item/state[.='Checked Out (Reserved)']">

                        <P>現在、<xsl:value-of select="item/name"/>をチェックアウトしています。 また、これは予約済みにして、次のバージョンを自分だけが作成できるようにしてあります。</P>

                    </xsl:if>

                    <xsl:if test="item/state[.='Checked Out (Unreserved)']">

                        <P>現在、<xsl:value-of select="item/name"/>をチェックアウトしていますが、予約済みではありません。 したがって、ほかの誰かがエレメントをチェックアウトする可能性があります。</P>

                    </xsl:if>


                    <xsl:if test="item/state[.='Hijacked']">

                        <P>この項目は、現在ハイジャックされています。 チェックアウトされずに変更されています。 ハイジャックされたファイルは、ClearCase の直接の管理から外れます。 </P>

                        <P>詳しくは、「<a href="../../../doc/help/cc_main/about_hijacked_files.htm" target="_blank">ハイジャックされたファイルについて</a>」を参照してください。</P>

                        <P>問題の解消方法についての簡単な情報を見るには、[使用法] タブをクリックします。</P>

                    </xsl:if>

                    <!-- activityset -->

                    <xsl:if test="item/activityset[.='1']">

                      <p>これはストリーム内の現在のアクティビティです。</p>

                    </xsl:if>

                    <!-- cqonlyactivity -->

                    <xsl:if test="item/cqonlyactivity[.='1']">

                      <p>この ClearTeam の項目は、現在のストリームでチェックアウトされていないので、UCM アクティビティではありません。</p>

                    </xsl:if>


                    <!-- annotations -->

                    <xsl:choose>

                        <xsl:when test="item/annotations[.='test']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>注釈です。 場合によって、ユーザー アクションを示唆します。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='eclipsed']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>このエレメントは見えなくなっています。 ビュー内に同じ名前を持つビュープライベート オブジェクトが存在するため、エレメントのバージョンが選択されていません。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='checkedout but eclipsed']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>エレメントは、このビューではチェックアウト済みですが、CHECKEDOUT 構成仕様規則がありません。したがって、チェックアウト済みのバージョンは、このビューでは見えません。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='not loaded, checkedout but removed']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>エレメントはこのビューでチェックアウトされましたが、後でビュープライベート ファイルが削除されました。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='no version selected']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>エレメントは、構成仕様規則によって選択されていないか、-none 構成仕様規則によって選択されています。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='error on reference']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>エレメントは、-error 構成仕様規則によって選択されています。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='no config record ']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>派生オブジェクトのデータ コンテナが、ビューにまだ保存されていますが、VOB データベース内の派生オブジェクトが削除されています。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='disputed checkout']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>エレメントは、ビュー サーバーによってチェックアウトされたと考えられますが、VOB データベースでそのように示されていません。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='removed with white out']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>派生オブジェクトは現在のビューによってウィンクインされ、いまだに参照されていますが、VOB データベースから削除されました。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='not loaded']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>エレメントはスナップショット ビューにロードされていません。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='loaded but missing']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>エレメントのバージョンがビューにロードされましたが、ファイルがビューから削除されたか、ファイルの名前が変更されました。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='hijacked']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>このバージョンはハイジャックされています。 チェックアウトされずに変更されています。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='overridden']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>エレメントがスナップショット ビューにロードされましたが、ファイル タイプが対応する VOB のオブジェクトとは異なります。または、エレメントがスナップショット ビューにロードされていませんが、ビュー内に同じ名前のオブジェクトが存在します。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='special selection']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>チェックインしたバージョンが、VOB から構成仕様によって選択されたバージョンと異なります。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='nocheckout']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>ビューにあるハイジャックされたバージョンが、VOB から構成仕様によって選択されたバージョンと異なります。</P>

                        </xsl:when>


                        <xsl:when test="item/annotations[.='deleted version']">

                                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>現在ビューにあるバージョンは、VOB から削除されています。</P>

                        </xsl:when>

                    </xsl:choose>

                </DIV>


    <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

    <!--     Content for 'uses' tab                                                                   -->

    <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

                <DIV STYLE="position: relative; left: 0; display: none" ID="elemUses">

                        <xsl:apply-templates select="item"/>

                </DIV>

            </TD>

        </TR>

    </TABLE>

<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<!--     End nested right table                                                                     -->

<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->


</TD></TR></TABLE>

</xsl:template>


<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<!--     Template for doing things with item types in the 'uses' tab                              -->

<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<xsl:template match="item">

    <xsl:choose> <!-- element type -->

        <xsl:when test="@type[.='folder']">

            <xsl:choose>

                <xsl:when test="(name[.='lost+found'])">            

                    <P>このフォルダをチェックアウトすること、削除することはできませんが、ファイルを追加することは可能です。</P>

                    <P>ビューの更新、リフレッシュの後、定期的にこのフォルダの内容をチェックし、クリーンアップしてディスク容量を節約してください。 </P>

                    <P>lost+found フォルダのエレメントは、バージョン管理されているフォルダに移動されたか、削除された可能性があります。</P>

                </xsl:when>


                <xsl:when expr="parent_dir(this,'lost+found')">        

                    <P>親のないフォルダは、チェックアウトできないという点でビュープライベート フォルダと似ています。 以下のオプションを検討してください。</P>

                    <UL>

                        <LI><P>このフォルダまたはフォルダ内のエレメントが必要な場合、それをビューのバージョン管理されている場所に移動するか、ほかの VOB に再配置することによって、バージョン管理下に置くことができます。</P></LI>

                        <LI><P>フォルダは、所有者であるか、必要な権限を持っていれば削除することができます。</P></LI>

                    </UL>

                </xsl:when>


                <xsl:when test="(kind[.='ビュープライベート ディレクトリ'])">            

                    <P>このフォルダは、ファイル システムのフォルダと同じように使用します。 たとえば、Windows エクスプローラでフォルダに直接アクセスすることができます。</P>

                    <P>いつでも、<a href="../../../doc/help/cc_main/to_add_src_control.htm" target="_blank">このフォルダを ClearCase ソース管理に追加する</a>ことができます。</P>

                </xsl:when>

        
                <xsl:when test="(kind[.='ディレクトリ バージョン'])">            

                    <P>ClearCase は、このフォルダを管理する機能があります。 たとえば、中にあるエレメントを作成または削除してフォルダを変更すると、ClearCase は自動的にフォルダをチェックアウトし、チェックインします。</P>

                </xsl:when>

                <xsl:when test="(kind[.='Directory Element'])"></xsl:when>


                <xsl:when test="(kind[.='VOB シンボリック リンク'])">            

                    <P>シンボリック リンク フォルダ内のエレメントはチェックアウトできません。エレメントが参照するターゲットにアクセスすることのみ可能です。 詳しくは、「<a href="../../../doc/help/cc_main/to_see_target_link.htm" target="_blank">VOB シンボリック リンクのターゲットを表示するには</a>」を参照してください。</P>

                    <P>シンボリック リンクは、所有者であるか、必要な権限を持っている場合のみ、削除できます。</P>

                </xsl:when>

                <xsl:otherwise>

                    <P>フォルダ ペインで VOB を展開して、ビューにロードされているディレクトリを移動します。 </P>

                </xsl:otherwise>

            </xsl:choose>

        </xsl:when>


        <xsl:when test="@type[.='activity']">

            <P>アクティビティの作業を開始するには、まずアクティビティの横のチェックボックスを選択して、ビューに対するアクティビティを設定します。</P>

            <P>その後、作業のためにファイルをチェックアウトするときには、このアクティビティが [チェックアウト] ダイアログ ボックスのアクティビティ リストに設定されています。</P>

            <P>このアクティビティの作業準備ができたら、プロジェクトのインテグレーション ストリームにそれを <a href="../../../doc/help/cc_main/wflow_deliver_activity.htm" target="_blank">デリバー</a> します。</P>

        </xsl:when>


        <xsl:otherwise> <!-- default is 'file' -->

            <xsl:choose>

                <xsl:when expr="parent_dir(this,'lost+found')">        

                    <P>親のないファイルは、チェックアウトできないという点でビュープライベート ファイルと似ています。 以下のオプションを検討してください。</P>

                    <UL>

                        <LI><P>このファイルが必要な場合、それをビューのバージョン管理されているフォルダに移動するか、ほかの VOB に再配置することによって、バージョン管理下に置くことができます。</P></LI>

                        <LI><P>ファイルは、所有者であるか、必要な権限を持っていれば削除することができます。</P></LI>

                    </UL>

                </xsl:when>


                <xsl:when test="(kind[.='ビュープライベート ファイル'])">            

                    <P>このファイルは、ファイル システムのファイルと同じように使用します。 たとえば、Windows エクスプローラやアプリケーションで直接ファイルにアクセスすることができます。</P>

                    <P>いつでも、<a href="../../../doc/help/cc_main/to_add_src_control.htm" target="_blank">このファイルを ClearCase ソース管理に追加する</a>ことができます。</P>

                </xsl:when>


                <xsl:when test="(kind[.='VOB シンボリック リンク'])">            

                    <P>シンボリック リンクはチェックアウトできません。参照するエレメントにアクセスすることのみ可能です。 詳しくは、「<a href="../../../doc/help/cc_main/to_see_target_link.htm" target="_blank">VOB シンボリック リンクのターゲットを表示するには</a>」を参照してください。</P>

                    <P>シンボリック リンクは、所有者であるか、必要な権限を持っている場合のみ、削除できます。</P>

                </xsl:when>


                <xsl:when test="(kind[.='ファイル'])">            

                    <P>このファイルをチェックアウトまたは変更することはできません。</P>

                </xsl:when>


                <xsl:when test="(kind[.='File Element Version'])">

                    <xsl:choose>

                        <xsl:when test="(state[.='Hijacked'])">            

                            <P>項目を右クリックして、ショートカット メニューから[<b>ハイジャックされたファイルの取り消し</b>] を選択します。  </P>

                            <P>ハイジャックされたファイルの取り消しを行うと、ClearCase はハイジャックされたファイルの名前を新しい拡張子 .keep を使用して変更し、ビューが VOB から選択したバージョンをロードします。 </P>

                        </xsl:when>

                        <xsl:otherwise>

                            <P>バージョン管理されているファイルで作業するには、次のようにファイルをチェックアウトします。 詳細ペイン内のエレメントを右クリックし、ショートカット メニューから [<STRONG>チェックアウト</STRONG>] を選択します。 ClearCase は、ビューで作業するためのプライベート コピーを作成します。</P>

                            <P>ファイルの変更後、ファイルをチェックインして VOB に新しいバージョンを保存してください。</P>

                        </xsl:otherwise>

                    </xsl:choose>

                </xsl:when>


                <xsl:when test="(kind[.='Derived Object Version'])">            

                    <P>各派生オブジェクトは、ビルドを記述するために ClearCase ビルド プログラムによって作成される構成レコードと関連付けられます。 </P>

                </xsl:when>

                <xsl:when test="(kind[.='View Derived Object'])">            

                    <P>各派生オブジェクトは、ビルドを記述するために ClearCase ビルド プログラムによって作成される構成レコードと関連付けられます。 共有可能 DO は、ほかのビューによってウィンクインすることができます。 共有不可な DO は、明示的に使用可能にしない限り、ほかのビューによってウィンクインすることはできません。 </P>

                </xsl:when>


                <xsl:when test="(state[.='Checked Out (Reserved)'])">

                    <P>このファイルを変更し、新しいバージョンをチェックインする排他的な権限があります。</P>

                    <P>ClearCase での作業を保存する準備ができたら、<a href="../../../doc/help/cc_main/to_check_in.htm" target="_blank">ファイルをチェックイン</a>します。</P>

                    <P>新しいバージョンを作成しないと決めた場合は、いつでも<a href="../../../doc/help/cc_main/to_cancel_co.htm" target="_blank">チェックアウトを取り消す</a>ことができます。</P>

                </xsl:when>


                <xsl:when test="(state[.='Checked Out (Unreserved)'])">

                    <P>チェックアウトが予約済みでないため、ほかのユーザーがチェックアウトする可能性があります。 この場合、ページをチェックインする最初のユーザーが、新しいバージョンを作成します。 それ以外のすべてのユーザーは、各自の変更をチェックインする前に、最新バージョンを各自の作業対象にマージする必要があります。</P>

                    <P>ClearCase での作業を保存する準備ができたら、<a href="../../../doc/help/cc_main/to_check_in.htm" target="_blank">ファイルをチェックイン</a>します。</P>

                    <P>新しいバージョンを作成しないと決めた場合は、いつでも<a href="../../../doc/help/cc_main/to_cancel_co.htm" target="_blank">チェックアウトを取り消す</a>ことができます。</P>

                </xsl:when>

                <xsl:otherwise>

                   <P>詳細不明の状態</P>

                </xsl:otherwise>

            </xsl:choose>

        </xsl:otherwise>

    </xsl:choose>

    <xsl:choose> <!-- annotations -->

        <xsl:when test="annotations[.='eclipsed']">

                <P>見えなくなっている状態を修正するには、ビュープライベート エレメントをビューから削除するか、移動します。 次に、[<STRONG>表示</STRONG>] から [<STRONG>リフレッシュ</STRONG>] をクリックします。.</P>

        </xsl:when>


        <xsl:when test="annotations[.='loaded but missing']">

                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>ロードされたが見つからない状態を修正するには、欠落しているファイルを復元するか、ファイルをビューからアンロードします。</P>

        </xsl:when>


        <xsl:when test="annotations[.='checkedout but eclipsed']">

                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>チェックアウトされたが見えなくなっている状態を修正するには、ビューの構成仕様に CHECKEDOUT 規則を追加してから、ビューを再起動 (または再ロード) します。</P>

        </xsl:when>


        <xsl:when test="annotations[.='not loaded, checkedout but removed']">

                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>チェックアウトされたが削除された状態を修正するには、[<STRONG>ツール</STRONG>] から [<STRONG>チェックアウトの取り消し</STRONG>] をクリックしてチェックアウトを取り消すか、削除されたファイルを復元します。</P>

        </xsl:when>


        <xsl:when test="annotations[.='not loaded']">

                <P><EM STYLE="font-style: normal; font-weight: bold">メモ:  </EM>エレメントをロードするには、[ベース ClearCase] の[ツール] タブにある [<STRONG>ビュー プロパティの編集</STRONG>] をクリックしてからビューのロード規則を編集するか、 [<STRONG>環境</STRONG>] から [<STRONG>ロードされていないエレメントの表示</STRONG>] をクリックして、ロードされていないエレメントの表示を抑制します。 </P>

        </xsl:when>

<!-- No content yet for these conditions. Add as needed.


        <xsl:when test="annotations[.='no version selected']">

                <P><EM STYLE="font-style: normal; font-weight: bold">Note: </EM>The element is not selected by any config spec rule, or is selected by a -none config spec rule.</P>

        </xsl:when>


        <xsl:when test="annotations[.='error on reference']">

                <P><EM STYLE="font-style: normal; font-weight: bold">Note: </EM>The element is selected by an -error config spec rule.</P>

        </xsl:when>


        <xsl:when test="annotations[.='no config record ']">

                <P><EM STYLE="font-style: normal; font-weight: bold">Note: </EM>The derived object's data container is still stored in the view, but the derived object has been removed from the VOB.</P>

        </xsl:when>


        <xsl:when test="annotations[.='disputed checkout']">

                <P><EM STYLE="font-style: normal; font-weight: bold">Note: </EM>The element is considered to be checked out by the view server but is not so indicated in the VOB database.</P>

        </xsl:when>


        <xsl:when test="annotations[.='removed with white out']">

                <P><EM STYLE="font-style: normal; font-weight: bold">Note: </EM>The derived object was winked in by, and is still referenced by, the current view, but it has been removed from the VOB.</P>

        </xsl:when>


        <xsl:when test="annotations[.='overridden']">

                <P><EM STYLE="font-style: normal; font-weight: bold">Note: </EM>The element is loaded in the snapshot view, but its file type is not the same as the corresponding object in the VOB; or the element is not loaded in the snapshot view, but an object with the same name exists in the view.</P>

        </xsl:when>


        <xsl:when test="annotations[.='special selection']">

                <P><EM STYLE="font-style: normal; font-weight: bold">Note: </EM>The version you checked in is not the version that the config spec selects from the VOB.</P>

        </xsl:when>


        <xsl:when test="annotations[.='nocheckout']">

                <P><EM STYLE="font-style: normal; font-weight: bold">Note: </EM>The version hijacked in the view is no longer the version selected by the view's config spec.</P>

        </xsl:when>


        <xsl:when test="annotations[.='deleted version']">

                <P><EM STYLE="font-style: normal; font-weight: bold">Note: </EM>The version currently in the view has been removed from the VOB.</P>

        </xsl:when>
-->

        <xsl:otherwise>

        </xsl:otherwise>

    </xsl:choose>

</xsl:template>

<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<!--     Procedures                                                                                 -->

<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<xsl:script><![CDATA[

function break_line(e) {

    var delim = ""

    var startstr = "";

    var endstr = e.text;

    var elen = endstr.length;

    if (endstr.indexOf("\\") != -1) {

        delim = "\\"

        }  else  {

        delim = "/"    

        }

    for (var i = 0; i > -1; elen = elen - i) {

        i = endstr.indexOf(delim,15);

        startstr = startstr.concat(endstr.substr(0,i+1) + " ");

        endstr = endstr.substr(i+1);

    }

    return (startstr + endstr);

}        


function parent_dir(e,parentname) {

    if (e.text.indexOf(parentname) != '-1'){

        return 1;  

    }

    else{

        return 0;

    }

}        

]]>

</xsl:script>

</xsl:stylesheet>